if PACKAGE_logmngr

choice
	prompt "Select backend for syslog management"
	default LOGMNGR_BACKEND_FLUENTBIT
	depends on PACKAGE_logmngr
	help
		Select which backend daemon to use for syslog management

config LOGMNGR_BACKEND_FLUENTBIT
	bool "Use fluent-bit for log management"
	help
		Enable this option to use fluent-bit for log management.

config LOGMNGR_BACKEND_SYSLOG_NG
	bool "Use syslog-ng for log management"
	help
		Enable this option to use syslog-ng for log management.

endchoice

config LOGMNGR_LOGROTATE
	bool "Logrotate support"
	depends on PACKAGE_logmngr
	default y
	help
		It adds support for logrotate functionality.

config LOGMNGR_VENDOR_LOG_FILE
	bool "Enable Device.DeviceInfo.VendorLogFile. Object"
	depends on PACKAGE_logmngr
	default y
	help
		It adds support for Device.DeviceInfo.VendorLogFile. Object.

endif
